import { u as useViewerState, e as useRoute, c as __nuxt_component_0$1, d as __nuxt_component_1$1 } from './server.mjs';
import { _ as __nuxt_component_9 } from './ROrderSummary-B3BxuJJ5.mjs';
import { computed, mergeProps, withCtx, unref, createVNode, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent } from 'vue/server-renderer';
import { u as useHead } from './index-BabADJUJ.mjs';
import { u as usePageHead } from './usePageHead-S9CHEAqv.mjs';
import '../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'pinia';
import 'vue-router';

const _sfc_main = {
  __name: "checkout-complete",
  __ssrInlineRender: true,
  setup(__props) {
    useViewerState();
    let checkout_id = computed(() => {
      let route = useRoute();
      return route.query["checkout-id"];
    });
    let page_head = usePageHead();
    useHead(page_head.value({}));
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_page_sniplet = __nuxt_component_0$1;
      const _component_r_viewer = __nuxt_component_1$1;
      const _component_r_order_summary = __nuxt_component_9;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "container" }, _attrs))}>`);
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "before_page" }, null, _parent));
      _push(ssrRenderComponent(_component_r_viewer, null, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(_component_r_order_summary, { "order-id": unref(checkout_id) }, null, _parent2, _scopeId));
          } else {
            return [
              createVNode(_component_r_order_summary, { "order-id": unref(checkout_id) }, null, 8, ["order-id"])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "after_page" }, null, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/checkout-complete.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};

export { _sfc_main as default };
//# sourceMappingURL=checkout-complete-0ginrO5J.mjs.map
