const interopDefault = r => r.default || r || [];
const styles = {
  "pages/user/plugins.vue": () => import('./plugins-styles.Cm7JxFRr.mjs').then(interopDefault),
  "pages/user/types/[type].vue": () => import('./_type_-styles.DVAZMh6L.mjs').then(interopDefault),
  "pages/user/types/index.vue": () => import('./index-styles.ByaXch6K.mjs').then(interopDefault),
  "pages/user/users.vue": () => import('./users-styles.DiwDWWVz.mjs').then(interopDefault),
  "../node_modules/nuxt/dist/app/components/error-404.vue": () => import('./error-404-styles.BGa7TbTg.mjs').then(interopDefault),
  "../node_modules/nuxt/dist/app/components/error-500.vue": () => import('./error-500-styles.D3oecdLG.mjs').then(interopDefault),
  "components/RViewer.vue": () => import('./RViewer-styles.BD4njrhh.mjs').then(interopDefault),
  "components/ROrderSummary.vue": () => import('./ROrderSummary-styles.BZwNwbrb.mjs').then(interopDefault),
  "components/RInput.vue": () => import('./RInput-styles.rM-Zcqk8.mjs').then(interopDefault),
  "pages/user/plugins.vue?vue&type=style&index=0&scoped=1cbb14ad&lang.css": () => import('./plugins-styles.BnQFEcfw.mjs').then(interopDefault),
  "components/RButton.vue": () => import('./RButton-styles.ChNaS6gI.mjs').then(interopDefault),
  "components/RBusy.vue": () => import('./RBusy-styles.BghWBDJj.mjs').then(interopDefault),
  "components/RLink.vue": () => import('./RLink-styles.BpBdZdf0.mjs').then(interopDefault),
  "pages/user/types/index.vue?vue&type=style&index=0&scoped=79f41e80&lang.css": () => import('./index-styles.BUdH6Rzv.mjs').then(interopDefault),
  "components/RLabel.vue": () => import('./RLabel-styles.D--6ECOD.mjs').then(interopDefault),
  "components/RTable.vue": () => import('./RTable-styles.B-W3WDVE.mjs').then(interopDefault),
  "pages/user/types/[type].vue?vue&type=style&index=0&scoped=0814d5d6&lang.css": () => import('./_type_-styles.CMsanNPm.mjs').then(interopDefault),
  "components/RModal.vue": () => import('./RModal-styles.0rAuHTSG.mjs').then(interopDefault),
  "components/RSelect.vue": () => import('./RSelect-styles.CZvBxeuh.mjs').then(interopDefault),
  "components/RText.vue": () => import('./RText-styles.BwkXWGfL.mjs').then(interopDefault),
  "components/RRange.vue": () => import('./RRange-styles.BcSTbmBh.mjs').then(interopDefault),
  "components/RRadio.vue": () => import('./RRadio-styles.CqDV-t4w.mjs').then(interopDefault),
  "components/RCheckbox.vue": () => import('./RCheckbox-styles.BIBanvSB.mjs').then(interopDefault),
  "components/RRowLabel.vue": () => import('./RRowLabel-styles.CdGaTfpG.mjs').then(interopDefault),
  "components/REditor.vue": () => import('./REditor-styles.DDaRSL5m.mjs').then(interopDefault),
  "components/RAvatar.vue": () => import('./RAvatar-styles.COrOApVS.mjs').then(interopDefault),
  "pages/user/users.vue?vue&type=style&index=0&scoped=1e6eeb3b&lang.css": () => import('./users-styles.DMpWtLSZ.mjs').then(interopDefault),
  "components/RFilebrowser.vue": () => import('./RFilebrowser-styles.CpB-hfIG.mjs').then(interopDefault),
  "components/RRow.vue": () => import('./RRow-styles.BtT9OUrC.mjs').then(interopDefault),
  "../node_modules/nuxt/dist/app/components/error-404.vue?vue&type=style&index=0&scoped=460438a1&lang.css": () => import('./error-404-styles.CYEBEQpn.mjs').then(interopDefault),
  "../node_modules/nuxt/dist/app/components/error-500.vue?vue&type=style&index=0&scoped=9ae14d19&lang.css": () => import('./error-500-styles.BzGar0FR.mjs').then(interopDefault),
  "components/ROrderSummary.vue?vue&type=style&index=0&scoped=61b273d7&lang.css": () => import('./ROrderSummary-styles.DEywPgVk.mjs').then(interopDefault),
  "components/RInput.vue?vue&type=style&index=0&scoped=17764584&lang.css": () => import('./RInput-styles.d6KY5St5.mjs').then(interopDefault),
  "components/RButton.vue?vue&type=style&index=0&scoped=c0330266&lang.css": () => import('./RButton-styles.92Cq_FNg.mjs').then(interopDefault),
  "components/RBusy.vue?vue&type=style&index=0&scoped=8585a20e&lang.css": () => import('./RBusy-styles.CvuPGOqi.mjs').then(interopDefault),
  "components/RLink.vue?vue&type=style&index=0&scoped=66646d36&lang.css": () => import('./RLink-styles.CjlYp3Xg.mjs').then(interopDefault),
  "components/RLabel.vue?vue&type=style&index=0&scoped=c767b52d&lang.css": () => import('./RLabel-styles.DsUearJG.mjs').then(interopDefault),
  "components/RViewer.vue?vue&type=style&index=0&scoped=2ae6ff95&lang.css": () => import('./RViewer-styles.B1AqqLsP.mjs').then(interopDefault),
  "components/RModal.vue?vue&type=style&index=0&scoped=4c4a5d35&lang.css": () => import('./RModal-styles.Bi_gI4rX.mjs').then(interopDefault),
  "components/RRadio.vue?vue&type=style&index=0&scoped=3070429b&lang.css": () => import('./RRadio-styles.Cbu-HxUe.mjs').then(interopDefault),
  "components/RCheckbox.vue?vue&type=style&index=0&scoped=f687afe7&lang.css": () => import('./RCheckbox-styles.Dr-T76Qg.mjs').then(interopDefault),
  "components/RTable.vue?vue&type=style&index=0&scoped=d7fba62b&lang.css": () => import('./RTable-styles.BoLH94uK.mjs').then(interopDefault),
  "components/RSelect.vue?vue&type=style&index=0&scoped=d52a99c2&lang.css": () => import('./RSelect-styles.7uWs2-Nj.mjs').then(interopDefault),
  "components/RText.vue?vue&type=style&index=0&scoped=681abf80&lang.css": () => import('./RText-styles.B1joJWEL.mjs').then(interopDefault),
  "components/RRange.vue?vue&type=style&index=0&scoped=55c5d896&lang.css": () => import('./RRange-styles.CojcNswR.mjs').then(interopDefault),
  "components/RRowLabel.vue?vue&type=style&index=0&scoped=f3811ff5&lang.css": () => import('./RRowLabel-styles.ea8M1MOR.mjs').then(interopDefault),
  "components/RAvatar.vue?vue&type=style&index=0&scoped=fc9c1009&lang.css": () => import('./RAvatar-styles.BOLJRV_d.mjs').then(interopDefault),
  "components/RRow.vue?vue&type=style&index=0&scoped=10c9b442&lang.css": () => import('./RRow-styles.ONjass6b.mjs').then(interopDefault),
  "components/RPagination.vue": () => import('./RPagination-styles.BcoaZQ1g.mjs').then(interopDefault),
  "components/RArrayObject.vue": () => import('./RArrayObject-styles.BoLkqn4_.mjs').then(interopDefault),
  "components/REditor.vue?vue&type=style&index=0&scoped=f5117032&lang.css": () => import('./REditor-styles.cTZ9BKkj.mjs').then(interopDefault),
  "components/RFilebrowser.vue?vue&type=style&index=0&scoped=b8ae6521&lang.css": () => import('./RFilebrowser-styles.4klNlWt2.mjs').then(interopDefault),
  "components/RDate.vue": () => import('./RDate-styles.Dt09JlYn.mjs').then(interopDefault),
  "components/RDuplex.vue": () => import('./RDuplex-styles.CGeewAcy.mjs').then(interopDefault),
  "layouts/user.vue": () => import('./user-styles.8tA6BwyK.mjs').then(interopDefault),
  "components/RCollapse.vue": () => import('./RCollapse-styles.Da1BEka9.mjs').then(interopDefault),
  "components/RResize.vue": () => import('./RResize-styles.D1zMSdiv.mjs').then(interopDefault),
  "components/RPagination.vue?vue&type=style&index=0&scoped=c6326b76&lang.css": () => import('./RPagination-styles.Btoihtg8.mjs').then(interopDefault),
  "components/RArrayObject.vue?vue&type=style&index=0&scoped=61cc7aba&lang.css": () => import('./RArrayObject-styles.CcbFtwTT.mjs').then(interopDefault),
  "components/RDate.vue?vue&type=style&index=0&scoped=2fe91753&lang.css": () => import('./RDate-styles.CioOAt5H.mjs').then(interopDefault),
  "components/RDuplex.vue?vue&type=style&index=0&scoped=cedaaf54&lang.css": () => import('./RDuplex-styles.p_O_DjRu.mjs').then(interopDefault),
  "components/RButtonCycle.vue": () => import('./RButtonCycle-styles.5ZV1lH6c.mjs').then(interopDefault),
  "components/RNavSidebar.vue": () => import('./RNavSidebar-styles.ChL-1U6m.mjs').then(interopDefault),
  "layouts/user.vue?vue&type=style&index=0&scoped=247007fd&lang.css": () => import('./user-styles.DKC_FLdE.mjs').then(interopDefault),
  "components/RColor.vue": () => import('./RColor-styles.C12kiuqJ.mjs').then(interopDefault),
  "components/RCard.vue": () => import('./RCard-styles.DUPvtbqm.mjs').then(interopDefault),
  "components/RCta.vue": () => import('./RCta-styles.B9epIy20.mjs').then(interopDefault),
  "components/RCollapse.vue?vue&type=style&index=0&scoped=789eba99&lang.css": () => import('./RCollapse-styles.e7uaLbch.mjs').then(interopDefault),
  "components/RButtonCycle.vue?vue&type=style&index=0&scoped=02a3297d&lang.css": () => import('./RButtonCycle-styles.CA1qIPsN.mjs').then(interopDefault),
  "components/RElement.vue": () => import('./RElement-styles.BOoUR6_r.mjs').then(interopDefault),
  "components/RNavSidebar.vue?vue&type=style&index=0&scoped=b06cc27e&lang.css": () => import('./RNavSidebar-styles.CdVzDUGg.mjs').then(interopDefault),
  "components/RMedia.vue": () => import('./RMedia-styles.DhPIpYDK.mjs').then(interopDefault),
  "components/RNotes.vue": () => import('./RNotes-styles.MVpS1zPp.mjs').then(interopDefault),
  "components/RColor.vue?vue&type=style&index=0&scoped=182eb166&lang.css": () => import('./RColor-styles.BA8mCBZV.mjs').then(interopDefault),
  "components/RCard.vue?vue&type=style&index=0&scoped=4c24fed2&lang.css": () => import('./RCard-styles.wug2BzSO.mjs').then(interopDefault),
  "components/RCta.vue?vue&type=style&index=0&scoped=7a1370a0&lang.css": () => import('./RCta-styles.CyxFZb62.mjs').then(interopDefault),
  "components/RPicker.vue": () => import('./RPicker-styles.DknfJrNV.mjs').then(interopDefault),
  "components/RElement.vue?vue&type=style&index=0&scoped=30dc3b1b&lang.css": () => import('./RElement-styles.CAZaDD_X.mjs').then(interopDefault),
  "components/RGallery.vue": () => import('./RGallery-styles.DUIePTEe.mjs').then(interopDefault),
  "components/RStarReview.vue": () => import('./RStarReview-styles.DbQY-ChY.mjs').then(interopDefault),
  "components/RProductPrice.vue": () => import('./RProductPrice-styles.C0zQ0q7b.mjs').then(interopDefault),
  "components/RProductVariant.vue": () => import('./RProductVariant-styles.hMaxH742.mjs').then(interopDefault),
  "components/RSpinner.vue": () => import('./RSpinner-styles.2Hjt6IU2.mjs').then(interopDefault),
  "components/RProductOptions.vue": () => import('./RProductOptions-styles.BLs___WD.mjs').then(interopDefault),
  "components/RMedia.vue?vue&type=style&index=0&scoped=e9e709c6&lang.css": () => import('./RMedia-styles.DoCxdyYM.mjs').then(interopDefault),
  "components/RProductCartSummary.vue": () => import('./RProductCartSummary-styles.CJVQj6-v.mjs').then(interopDefault),
  "components/RNotes.vue?vue&type=style&index=0&scoped=4fd08b5c&lang.css": () => import('./RNotes-styles.CBRQN0Yr.mjs').then(interopDefault),
  "components/RNavItem.vue": () => import('./RNavItem-styles.HlTagX0G.mjs').then(interopDefault),
  "components/RGallery.vue?vue&type=style&index=0&scoped=a1299da6&lang.css": () => import('./RGallery-styles.xiaxeNzW.mjs').then(interopDefault),
  "components/RStarReview.vue?vue&type=style&index=0&scoped=397cbd54&lang.css": () => import('./RStarReview-styles.CL1eTc1g.mjs').then(interopDefault),
  "components/RProductPrice.vue?vue&type=style&index=0&scoped=fd6735f2&lang.css": () => import('./RProductPrice-styles.ByFQQkyQ.mjs').then(interopDefault),
  "components/RDropdown.vue": () => import('./RDropdown-styles.DqmG_-CF.mjs').then(interopDefault),
  "components/RNavItem.vue?vue&type=style&index=0&scoped=e9d81b0e&lang.css": () => import('./RNavItem-styles.DMpuNOSR.mjs').then(interopDefault),
  "components/RResize.vue?vue&type=style&index=0&scoped=03ce080a&lang.css": () => import('./RResize-styles.Di5ikDQs.mjs').then(interopDefault),
  "components/RDropdown.vue?vue&type=style&index=0&scoped=cb9ae722&lang.css": () => import('./RDropdown-styles.CsLlSby5.mjs').then(interopDefault),
  "components/RPicker.vue?vue&type=style&index=0&scoped=368a017f&lang.css": () => import('./RPicker-styles.D_deqe6k.mjs').then(interopDefault),
  "components/RProductVariant.vue?vue&type=style&index=0&scoped=3f1a0a2d&lang.css": () => import('./RProductVariant-styles.B9kcmBk7.mjs').then(interopDefault),
  "components/RSpinner.vue?vue&type=style&index=0&scoped=771569aa&lang.css": () => import('./RSpinner-styles.Cagjj3u4.mjs').then(interopDefault),
  "components/RProductOptions.vue?vue&type=style&index=0&scoped=fe55609b&lang.css": () => import('./RProductOptions-styles.B-9CZ79g.mjs').then(interopDefault),
  "components/RProductCartSummary.vue?vue&type=style&index=0&scoped=a5514549&lang.css": () => import('./RProductCartSummary-styles.BG-PxpF9.mjs').then(interopDefault)
};

export { styles as default };
//# sourceMappingURL=styles.mjs.map
