import { d as defineEventHandler, g as getRouterParams, b as plugin, c as core } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const ____suffix__post = defineEventHandler(async (event) => {
  event.params = await getRouterParams(event);
  let params = event.params;
  params.suffix = params.suffix.toLowerCase();
  let d = null;
  try {
    let registered_endpoints = [];
    await plugin.exec_endpoint("post", { data: registered_endpoints });
    let the_endpoint = registered_endpoints.find((it) => {
      let e_suffix = it.suffix;
      if (e_suffix.startsWith("/")) e_suffix = e_suffix.substring(1);
      return e_suffix.toLowerCase() == params.suffix;
    });
    let full_url = `/api/endpoints/${params.suffix}`;
    if (!the_endpoint) {
      return await core.res_denied(event, { msg: `Unable to locate endpoint "${full_url}"` });
    }
    if (typeof the_endpoint.fn != "function") {
      return await core.res_denied(event, { msg: `Endpoint "${full_url}" callback must be a function` });
    }
    d = await the_endpoint.fn(event);
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d, msg: "Endpoint executed" });
});

export { ____suffix__post as default };
//# sourceMappingURL=_...suffix_.post.mjs.map
