import { d as defineEventHandler, u as users, c as core, p as permissions, a as posts } from '../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const index_delete = defineEventHandler(async (event) => {
  if (!await users.is_logged_in({ event }))
    return core.res_denied(event, {
      msg: "You must be logged in to update post types",
      reason: "auth"
    });
  if (!await permissions.can_user({ user_id: event.user.id, action: "manage_posttype", evt: event })) {
    return await core.res_denied(event, { msg: "You are not allow to manage_posttype", reason: "manage_posttype" });
  }
  return await core.res_success(event, {
    d: await posts.remove_posttypes(event.body),
    msg: "Removed post "
  });
});

export { index_delete as default };
//# sourceMappingURL=index.delete2.mjs.map
