import { d as defineEventHandler, u as users, c as core, p as permissions } from '../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const index_get = defineEventHandler(async (event) => {
  var _a;
  if (!await users.is_logged_in({ event })) {
    return await core.res_denied(event, { msg: "You must be logged ", reason: "auth" });
  }
  let d = [];
  try {
    if (!await permissions.can_user({
      user_id: event.user.id,
      action: "manage_users"
    })) {
      return await core.res_denied(event, {
        msg: "Inadequate permission edit users",
        reason: "manage_users"
      });
    }
    let include_roles = ["true", "yes"].includes((_a = event.query.include_roles) == null ? void 0 : _a.toLowerCase());
    d = await users.get_users({ event, ...event.query, include_roles });
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d, msg: "Object" });
});

export { index_get as default };
//# sourceMappingURL=index.get5.mjs.map
