import { d as defineEventHandler, c as core, b as plugin } from '../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const init_get = defineEventHandler(async (event) => {
  let d = {};
  d.store_locations = await core.get_option("store_locations") || [];
  let cur_val = await core.get_option({ name: "store_currency" }) || "usd";
  let currency = (await core.get_currencies()).find((it) => it.value == cur_val);
  if (!currency) {
    d.currency_symbol = "$";
  } else {
    d.currency_symbol = currency.symbol;
  }
  await plugin.do_filter("init", { event, data: d });
  return await core.res_success(event, { d, msg: "Init complete" });
});

export { init_get as default };
//# sourceMappingURL=init.get.mjs.map
