import { d as defineEventHandler, c as core } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const components_get = defineEventHandler(async (event) => {
  var _a;
  let query = event.query;
  let d = null;
  try {
    d = await core.get_post_components({
      event,
      ...query,
      user_id: (_a = event.user) == null ? void 0 : _a.id
    });
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d, msg: "Got post meta" });
});

export { components_get as default };
//# sourceMappingURL=components.get.mjs.map
