import { d as defineEventHandler, a as posts, c as core } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const index_get = defineEventHandler(async (event) => {
  let notes = null;
  let query = event.query;
  let is_logged_in = event.user != null;
  try {
    let post_id = query.postId || query.post_id;
    let note_id = query.id;
    let user_id = event.user ? event.user.id : null;
    notes = await posts.get_notes({ post_id, note_id, cur_user: user_id });
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { is_logged_in, d: notes, msg: "Created profile" });
});

export { index_get as default };
//# sourceMappingURL=index.get2.mjs.map
