import { d as defineEventHandler, g as getRouterParams, c as core, a as posts } from '../../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const _type__get = defineEventHandler(async (event) => {
  let params = await getRouterParams(event);
  let type = params.type;
  let user_id = event.user ? event.user.id : null;
  event.query.p = core.type_cast(event.query.p);
  event.query.limit = core.type_cast(event.query.limit);
  return await core.res_success(event, {
    d: await posts.get_posts({ type, user_id, event, ...event.query, order_by: ["created", "DESC"] }),
    msg: "post type list"
  });
});

export { _type__get as default };
//# sourceMappingURL=_type_.get.mjs.map
