import { d as defineEventHandler, u as users, c as core, a as posts } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const cart_get = defineEventHandler(async (event) => {
  var _a;
  if (!await users.is_logged_in({ event })) {
    return await core.res_denied(event, { msg: "Must be logged in", reason: "auth" });
  }
  let d = null;
  try {
    try {
      d = await posts.get_cart({ user_id: (_a = event.user) == null ? void 0 : _a.id });
    } catch (e) {
      return await core.res_denied(event, e);
    }
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d, msg: "Get shopping cart" });
});

export { cart_get as default };
//# sourceMappingURL=cart.get.mjs.map
