import { d as defineEventHandler, c as core, a as posts } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const cart_post = defineEventHandler(async (event) => {
  let cart_item = event.body;
  if (!cart_item) {
    return await core.res_denied(event, { msg: "Missing cart payload" });
  }
  cart_item.user_id = event.user ? event.user.id : null;
  let d = null;
  try {
    try {
      d = await posts.add_to_cart(cart_item);
    } catch (e) {
      return await core.res_denied(event, e);
    }
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d, msg: "Saved post" });
});

export { cart_post as default };
//# sourceMappingURL=cart.post.mjs.map
