import { d as defineEventHandler, c as core, a as posts } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const updateCart_post = defineEventHandler(async (event) => {
  var _a;
  let cart_item = event.body;
  if (!cart_item) return await core.res_denied(event, { msg: "Missing cart-item payload" });
  cart_item.user_id = event.user ? event.user.id : null;
  let d = null;
  try {
    try {
      await posts.update_cart_item(cart_item);
      d = await posts.get_cart({ user_id: (_a = event.user) == null ? void 0 : _a.id });
    } catch (e) {
      return await core.res_denied(event, e);
    }
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d, msg: "Saved post" });
});

export { updateCart_post as default };
//# sourceMappingURL=update-cart.post.mjs.map
