import { d as defineEventHandler, u as users, c as core, e as db } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const userRoleRequest_post = defineEventHandler(async (event) => {
  if (!await users.is_logged_in({ event })) {
    return await core.res_denied(event, { msg: "You must be logged ", reason: "auth" });
  }
  let d = event.body;
  try {
    let options = {
      user_id: event.user.id,
      role: event.body.role,
      evt: event
    };
    let no_action = false;
    let tbur = `${db.name}.user_roles`;
    var sel_existing_role = `SELECT id,status FROM ${tbur} WHERE ${db.like("role", options.role)} AND ${db.is("user_id", options.user_id)}`;
    var existing_rec = await db.query(sel_existing_role);
    if (existing_rec.length == 0) {
      options.status = "user-requested";
    } else {
      if (existing_rec[0].status == "pending") no_action = true;
      if (existing_rec[0].status == "approved") no_action = true;
      if (existing_rec[0].status == "denied") no_action = true;
    }
    if (!no_action) {
      await users.modify_user_role(options);
    }
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d, msg: "Obtained results" });
});

export { userRoleRequest_post as default };
//# sourceMappingURL=user-role-request.post.mjs.map
