import { d as defineEventHandler, u as users, c as core } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const userRoles_get = defineEventHandler(async (event) => {
  if (!await users.is_logged_in({ event })) {
    return await core.res_denied(event, { msg: "You must be logged ", reason: "true", evt: event });
  }
  let d = [];
  let roles_list = [];
  try {
    roles_list = await core.get_roles();
    d = await users.get_user_roles({ user_id: event.user.id, event, evt: event });
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d, roles_list, msg: "Obtained results" });
});

export { userRoles_get as default };
//# sourceMappingURL=user-roles.get.mjs.map
