import { _ as _export_sfc, u as useViewerState, e as useRoute, b as useAppState, D as useEditorState, c as __nuxt_component_0$1 } from './server.mjs';
import { withAsyncContext, mergeProps, useSSRContext, h } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent } from 'vue/server-renderer';
import { u as useHead } from './index-BabADJUJ.mjs';
import { u as usePageHead } from './usePageHead-S9CHEAqv.mjs';
import '../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'pinia';
import 'vue-router';

const _sfc_main$1 = {
  props: {},
  async setup(props, { slots, emit }) {
    return h("div", { class: ["border", "border-2", "rounded", "border-gray-900", "text-xl1"] }, "Loading");
  }
};
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/REditor.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : undefined;
};
const __nuxt_component_1 = /* @__PURE__ */ Object.assign(_export_sfc(_sfc_main$1, [["__scopeId", "data-v-f5117032"]]), { __name: "REditor" });
const _sfc_main = {
  __name: "[id]",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    useViewerState();
    const route = useRoute();
    let app_state = useAppState();
    app_state.layout = "user";
    let page_head = usePageHead();
    useHead(page_head.value({
      title: "Editor - " + route.params.id,
      description: `Create and edit posts`
    }));
    let editor = ([__temp, __restore] = withAsyncContext(() => useEditorState()), __temp = await __temp, __restore(), __temp);
    try {
      [__temp, __restore] = withAsyncContext(() => editor.load_post(route.params.id, route.query.type)), await __temp, __restore();
    } catch (e) {
      console.error(e);
    }
    return (_ctx, _push, _parent, _attrs) => {
      const _component_r_page_sniplet = __nuxt_component_0$1;
      const _component_r_editor = __nuxt_component_1;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "as afw" }, _attrs))}>`);
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "before_page" }, null, _parent));
      _push(ssrRenderComponent(_component_r_editor, null, null, _parent));
      _push(ssrRenderComponent(_component_r_page_sniplet, { type: "after_page" }, null, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/user/editor/[id].vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};

export { _sfc_main as default };
//# sourceMappingURL=_id_-CZCUQ4Rz.mjs.map
