import { d as defineEventHandler, c as core, b as plugin } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const webhooks_post = defineEventHandler(async (event) => {
  let body = event.body;
  if (!body) {
    return { d: null, msg: "Missing parameters" };
  }
  try {
    core.log({ msg: `Hook invoked; type=${body.type}`, body });
    plugin.do_action("webhook", { data: body });
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d, msg: "Hook completed" });
});

export { webhooks_post as default };
//# sourceMappingURL=webhooks.post.mjs.map
