import { d as defineEventHandler, f as deleteCookie, u as users, c as core, s as setCookie } from '../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const login = defineEventHandler(async (event) => {
  const token_cookie_name = "autht";
  deleteCookie(event, token_cookie_name);
  var user = await users.login({ ...event.body, evt: event });
  if (!user) {
    return await core.res_error(event, { msg: "User login is invalid" });
  }
  let token = core.jwt_create(user);
  setCookie(event, token_cookie_name, token);
  user.token = token;
  return await core.res_success(event, { d: token, msg: "Successfully logged in" });
});

export { login as default };
//# sourceMappingURL=login.mjs.map
