import { d as defineEventHandler, g as getRouterParams, a as posts, c as core } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const _id__get = defineEventHandler(async (event) => {
  try {
    let params = await getRouterParams(event);
    params.type = event.query.type || null;
    params.evt = event;
    let post = await posts.get_post(params);
    let query = event.query;
    let etc = {};
    if (query.source == "editor") {
      let promises = [core.get_roles(), core.get_capabilities(), posts.get_categories({ event })];
      let results = await Promise.all(promises);
      etc.roles = results[0];
      etc.caps = results[1];
      etc.categories = results[2];
    }
    if (post) {
      if (post.type == "form") {
        post.form_fields = await posts.get_form_fields(post, true);
      }
    }
    return await core.res_success(event, { ...etc, d: post, msg: "Handled get id " });
  } catch (e) {
    return await core.res_error(event, e);
  }
});

export { _id__get as default };
//# sourceMappingURL=_id_.get.mjs.map
