import { d as defineEventHandler, u as users, c as core, a as posts } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const sniplet_get = defineEventHandler(async (event) => {
  if (!await users.is_logged_in({ event })) {
    return await core.res_denied(event, {
      msg: "You must be logged ",
      reason: "auth"
    });
  }
  let d = [];
  try {
    d = await posts.get_posts({
      cols: ["id", "type", "description", "title", "value", "status"],
      type: "sniplet",
      all: true
    });
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d, msg: "Saved sniplet" });
});

export { sniplet_get as default };
//# sourceMappingURL=sniplet.get.mjs.map
