import { d as defineEventHandler, u as users, c as core } from '../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const signup = defineEventHandler(async (event) => {
  let user;
  try {
    user = await users.signup({ ...event.body, evt: event });
  } catch (e) {
    return await core.res_denied(event, e);
  }
  return await core.res_success(event, { d: true, msg: "Created profile" });
});

export { signup as default };
//# sourceMappingURL=signup.mjs.map
