import { d as defineEventHandler, u as users, c as core } from '../../../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:path';
import 'jsonwebtoken';
import 'mysql2';
import 'child_process';
import 'crypto';
import 'stripe';
import 'node:fs/promises';
import 'fs';
import 'module';
import 'path';
import 'node-cron';
import 'node:url';

const logout_get = defineEventHandler(async (event) => {
  if (!await users.is_logged_in({ event })) {
    return await core.res_success(event, { msg: "Already signed out" });
  }
  let d = true;
  try {
    await users.logout({ user_id: event.user.id, event });
    event.user = null;
  } catch (e) {
    return await core.res_error(event, e);
  }
  return await core.res_success(event, { d, msg: "Logged out" });
});

export { logout_get as default };
//# sourceMappingURL=logout.get.mjs.map
